¿Es posible seleccionar qué versión de Swift usar en Xcode?

Hay una actualización para Xcode 6.3 e incluye una nueva versión de Swift (1.2). Si actualizo, ¿tengo que migrar todo mi código Swift a 1.2 o puedo seleccionar una versión anterior de Swift?

  • ¿Cómo actualizar XCode con un ID de usuario diferente?
  • Editor de Python para ipad con soporte mercurial?
  • copyr el simulador de un mac a otro mac osx
  • Cómo instalar una versión anterior de Xcode desde el App Store
  • Eliminar la antigua count de ID de Apple
  • ¿Por qué es necesario detener XCode para actualizar iTunes?
  • No se puede usar el layout automático (Ctrl + arrastrar) en xcode después de un time de uso
  • Error al enviar el file: ITMS-4238 "Carga binaria networkingundante"
  • 3 Solutions collect form web for “¿Es posible seleccionar qué versión de Swift usar en Xcode?”

    Tienes que migrar todo tu código a Swift 1.2 si estás usando Xcode 6.3. Si vas a Editar > Convertir > A la última syntax de Swift , te ayudará a encontrar muchos de los cambios. Sin embargo, todavía hay mucha edición manual para hacer.

    A largo ploop, le servirá mejor mantener su código Swift en la última versión para que las futuras migraciones sean más fáciles y para que pueda aprovechar las futuras mejoras del idioma.

    Puede seleccionar la versión de Swift que desea usar en Xcode 7.3 a través de lo siguiente: (Menú) XCode> Toolchains> (select su versión)

    enter image description here

    Puede instalar varias cadenas de herramientas para que Xcode las use: escribió un pequeño tutorial aquí: https://medium.com/@pardel/using-old-versions-of-swift-in-xcode-4dd46644a257

    TL; DR – Descargue e instale las viejas cadenas de herramientas de Swift desde: https://swift.org/download/#releases

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).